> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import projects from GitHub into a workspace



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json post /imports/github/projects
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /imports/github/projects:
    post:
      tags:
        - Imports
      summary: Import projects from GitHub into a workspace
      operationId: importGitHubProjects
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportGitHubProjectsDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportGitHubProjectsResponseDto_Output'
      security:
        - bearer: []
components:
  schemas:
    ImportGitHubProjectsDto:
      type: object
      properties:
        projectIds:
          type: array
          items:
            type: string
        workspacePublicId:
          type: string
          minLength: 12
      required:
        - projectIds
        - workspacePublicId
    ImportGitHubProjectsResponseDto_Output:
      type: object
      properties:
        projectsImported:
          type: number
      required:
        - projectsImported
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.